<html>

<head>
    <title>Flask test!</title>
    <script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.4.8/socket.io.min.js"> </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
</head>

<body>
    <script type="text/javascript">
        $(document).ready(function () {

            var socket = io.connect('http://localhost:5000/test');


            socket.on('message', function (msg) {

                console.log(msg);
            });
            
            //setInterval(() => {},1000 )
            socket.emit('connect');

            socket.emit( 'send', {data: 1});
    


        });
    </script>
    <ul id="messages"></ul>
    <input type="text" id="myMessage">
    <button id="sendbutton">Send</button>
</body>

</html>